#!/bin/bash
iters=100
thresh=0.000001
BOOT=0
TRAIN="train_gaussLeaves.txt"
LABELS="train_gaussLeavesLabels.txt"

INITPARAMS="trained.params"

if((BOOT==1))
then
    gmtkEMtrain -strFile hmm_gaussLeaves_train.str \
	-triFile hmm_gaussLeaves_train.str.trifile \
	-inputMasterFile hmm_gaussLeaves.mtr \
	-inputTrainableParameters $INITPARAMS \
	-outputTrainableParameters trained_gaussLeaves.params \
	-of1 $TRAIN -fmt1 ascii -nf1 1 -ni1 0 \
	-of2 $LABELS -fmt2 ascii -nf2 0 -ni2 1 \
	-dirichletPriors T -maxE $iters -lldp $thresh \
	-objsNotToTrain params.notrain -random F
else
    gmtkEMtrain -strFile hmm_gaussLeaves.str \
	-triFile hmm_gaussLeaves.str.trifile \
	-inputMasterFile hmm_gaussLeaves.mtr \
	-inputTrainableParameters $INITPARAMS \
	-outputTrainableParameters trained_gaussLeaves.params \
	-of1 $TRAIN -fmt1 ascii -nf1 1 -ni1 0 -dirichletPriors T \
	-maxE $iters -lldp $thresh -objsNotToTrain params.notrain -random F
fi
